#include "display.h"

/*****************************************
          FUNCTIONS         
*****************************************/

void InitLCD(void)
{
	outp(0x378,0x30);
	OUT51();
	outp(0x378,0x30);
	OUT51();
	outp(0x378,0x30);
	OUT51();

	outp(0x378,0x20);
	OUT51();

	outp(0x378,0x20);
	OUT51();
	outp(0x378,0xc0);
	OUT51();

	outp(0x378,0);
	OUT51();
	outp(0x378,0xe0);
	OUT51();

	ClearLCD();

	outp(0x378,0);
	OUT51();
	outp(0x378,0x60);
	OUT51();
}

void ClearLCD(void)
{
	outp(0x378,0);
	OUT51();
	outp(0x378,0x10);
	OUT51();
}

void CursorOFF(void)
{
	outp(0x378,0);
	OUT51();
	outp(0x378,0xc0);
	OUT51();
}

void CursorON(void)
{
	outp(0x378,0);
	OUT51();
	outp(0x378,0xe0);
	OUT51();
}

void CShiftL(void)
{
	outp(0x378,0x10);
	OUT51();
	outp(0x378,0x00);
	OUT51();
}

void CShiftR(void)
{
	outp(0x378,0x10);
	OUT51();
	outp(0x378,0x40);
	OUT51();
}


void SetLine(int row)
{
	if (row==0)
	{
		outp(0x378,0x80);
		OUT51();
		outp(0x378,0);
		OUT51();
	}
	if (row==1)
	{
		outp(0x378,0xc0);
		OUT51();
		outp(0x378,0);
		OUT51();
	}
	if (row==2)
	{
		outp(0x378,0x90);
		OUT51();
		outp(0x378,0);
		OUT51();
	}
	if (row==3)
	{
		outp(0x378,0xd0);
		OUT51();
		outp(0x378,0);
		OUT51();
	}
}

void WriteString(char *String)
{
	int lun,i;
	lun=strlen(String);

	for(i=0;i<lun;i++)
		WriteChar(*(String+i));
}

void WriteChar(char Car)
{
	delay(0.5);
	outp(0x378,int(Car));

    outp(0x37A,0);
	delay(0.5);
	outp(0x37A,4);
	delay(0.5);
	outp(0x37A,0);
	
	delay(0.5);
	outp(0x378,(int(Car) & 15)*16);

	outp(0x37A,0);
	delay(0.5);
	outp(0x37A,4);
	delay(0.5);
	outp(0x37A,0);
}

void OUT51(void)
{
	delay(2);
		outp(0x37A,1);
		outp(0x37A,5);
		outp(0x37A,1);
	delay(2);
}


void OUT40(void) 
{
	outp(0x37A,0);
	delay(0.5);
	outp(0x37A,4);
	delay(0.5);
	outp(0x37A,0);
}