/**********************************************************************************
*          ____
*        /          ____         ___  _       _ 
*       /____   |/ /___  /\_/\  /_   / \  /  /_|     /_____________________///
*          /   /  ____/ /    / /__  /__/ /  /  |     \                     \\\ 
*  _______/
*
*   LIBRARIES FOR INTERFACING A CHARACTER TYPE DISPLAY WITH A PC USING THE PARALLEL PORT
*                                 (ADDRESS 0x378,0x379)
*
***********************************************************************************/



/*****************************************
          Functions declaration         
*****************************************/

void InitLCD(void); //Initialize the display
void ClearLCD(void); //Clear all the display
void CursorOFF(void); //Switch off the cursor
void CursorON(void); //Switch on the cursor
void CShiftL(void); //Shift the cursor on the left 
void CShiftR(void); //Shift the cursor on the right
void SetLine(int row); //Move the cursor on the row specified (0-3)
void WriteString(char *String); //Write a string
void WriteChar(char Car); //Write a single char 
//These two last function are used for low-level operation so must not be used
void OUT51(void); //Digital signal for addressing the CG DD memory
void OUT40(void); //Digital signal used for write a char


